incus (7.0.0-2) unstable; urgency=high

  * Cherry-pick fixes for the following security issues:
    - CVE-2026-47753 / GHSA-8g7m-96c8-8wwc
    - CVE-2026-48753 / GHSA-ccjc-4qc3-jxqc
    - CVE-2026-48754 / GHSA-4xg6-52mh-fpw8
    - CVE-2026-48756 / GHSA-xhqx-mgh3-3h7q
  * d/control:
    - Set minimum required version of golang-github-cenkalti-backoff-dev to
      assist with backporting
    - Drop unneeded dependency on golang-github-go-chi-chi-dev

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 28 May 2026 23:43:52 +0000

incus (7.0.0-1) unstable; urgency=medium

  * New upstream LTS 7.0 release:
    - Includes fixes for the following security issues (Closes: #1135644):
      * CVE-2026-35527 / GHSA-8gw4-p4wq-4hcv
      * CVE-2026-40195 / GHSA-gc7j-g665-rxr9
      * CVE-2026-40197 / GHSA-r7w7-mmxr-47r9
      * CVE-2026-40243 / GHSA-c839-4qxr-j4x3
      * CVE-2026-40251 / GHSA-4m88-wxj4-9qj6
      * CVE-2026-41647 / GHSA-fwj8-62r8-8p8m
      * CVE-2026-41648 / GHSA-67wx-r9xr-x75x
      * CVE-2026-41684 / GHSA-x5r6-jr56-89pv
      * CVE-2026-41685 / GHSA-98vh-x9cx-9cfp
    - Rebase/update/drop patches as needed
    - Add patch to skip flaky tests that occasionally fail on slower
      architectures
    - Cherry-pick some post-release fixes
  * d/control:
    - Update package descriptions
    - Update Build-Depends and Depends
    - Update Breaks for distrobuilder
    - No longer Suggest minio-client
    - Update minimum required versions of dependencies
  * Add an entry for the 7.0 release in d/NEWS
  * Update d/README.Debian and d/README.source

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 06 May 2026 02:35:00 +0000

incus (6.0.6-3) unstable; urgency=high

  * Cherry-pick fixes for the following security issues:
    - CVE-2026-34178 / GHSA-q96j-3fmm-7fv4
    - CVE-2026-34179 / GHSA-c3h3-89qf-jqm5
  * Update Standards-Version to 4.7.4 in d/control (no changes needed)
  * Remove "systemd-service-file-missing-hardening-features" lintian overrides
  * Update d/watch to v5

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 14 Apr 2026 15:50:47 +0000

incus (6.23.0-1~exp1) experimental; urgency=medium

  * New upstream feature release:
    - Includes fixes for the following security issues: CVE-2026-33542,
      CVE-2026-33743, CVE-2026-33897, CVE-2026-33711, CVE-2026-33945,
      CVE-2026-33898, CVE-2026-34178, CVE-2026-34179
    - Build FreeBSD version of incus-agent
    - Rebase patches as needed
    - Update IncusOS network struct and cli patch
  * Update Build-Depends and Depends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 27 Mar 2026 14:30:24 +0000

incus (6.0.6-2) unstable; urgency=high

  * Cherry-pick fixes for the following security issues:
    - CVE-2026-33542 / GHSA-p8mm-23gg-jc9r
    - CVE-2026-33743 / GHSA-vg76-xmhg-j5x3
    - CVE-2026-33897 / GHSA-83xr-5xxr-mh92
    - CVE-2026-33711 / GHSA-q9vp-3wcg-8p4x
    - CVE-2026-33945 / GHSA-q4q8-7f2j-9h9f
  * Cherry-pick changes for building with gobgp v4

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 26 Mar 2026 22:06:37 +0000

incus (6.0.6-1) unstable; urgency=medium

  * New upstream release:
    - Includes fix for CVE-2026-28384 / GHSA-4rmf-rcp8-2r9g
    - Update Build-Depends and Depends
    - Rebase patches as needed
    - Drop patches applied upstream

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 15 Mar 2026 16:06:22 +0000

incus (6.22.0-1~exp1) experimental; urgency=medium

  * New upstream feature release:
    - Includes fix for CVE-2026-28384 / GHSA-4rmf-rcp8-2r9g
    - Build MacOS version of incus-agent
    - Rebase patches as needed
    - Update IncusOS network struct and cli patch
  * Update Build-Depends and Depends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 28 Feb 2026 15:26:15 +0000

incus (6.21.0-1~exp1) experimental; urgency=medium

  * New upstream feature release:
    - Includes fixes for CVE-2026-23953 and CVE-2026-23954
    - Update IncusOS network struct and cli patch
  * Update Build-Depends and Depends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 23 Jan 2026 14:16:05 +0000

incus (6.0.5-8) unstable; urgency=high

  * Cherry-pick fixes for the following security issues:
    - CVE-2026-23953 / GHSA-x6jc-phwx-hp32
    - CVE-2026-23954 / GHSA-7f67-crqm-jgh7
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 22 Jan 2026 04:04:24 +0000

incus (6.20.0-1~exp1) experimental; urgency=medium

  * New upstream feature release:
    - Includes fix for CVE-2025-64507 / GHSA-56mx-8g9f-5crf (fixed in
      Incus 6.19)
    - Rebase patches
    - Update IncusOS network struct and cli patch
  * Update Build-Depends and Depends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 20 Dec 2025 16:52:10 +0000

incus (6.0.5-7) unstable; urgency=medium

  * Team upload.
  * Use B-D/D on golang-github-cenkalti-backoff-v4-dev

 -- Simon Josefsson <simon@josefsson.org>  Thu, 11 Dec 2025 18:22:57 +0100

incus (6.0.5-6) unstable; urgency=medium

  * Cherry-pick fix for running nested docker in containers (Closes: #1121011)

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 22 Nov 2025 15:10:50 +0000

incus (6.0.5-5) unstable; urgency=high

  * Cherry-pick small update for CVE-2025-64507 / GHSA-56mx-8g9f-5crf fix

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 10 Nov 2025 13:25:31 +0000

incus (6.0.5-4) unstable; urgency=high

  * Cherry-pick upstream fix for CVE-2025-64507 / GHSA-56mx-8g9f-5crf

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 10 Nov 2025 04:06:47 +0000

incus (6.0.5-3) unstable; urgency=medium

  * Cherry-pick upstream changes for libovsdb import path change

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 19 Oct 2025 23:28:28 +0000

incus (6.17.0-1~exp1) experimental; urgency=medium

  * New upstream feature release
    - Rebase IncusOS network struct patch

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 27 Sep 2025 19:49:39 +0000

incus (6.0.5-2) unstable; urgency=medium

  * Temporarily revert commit that broke running `incus exec` for VMs
    (Closes: #1114918)
  * Update IncusOS network struct patch
  * Drop redundant Rules-Requires-Root from d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 27 Sep 2025 19:35:06 +0000

incus (6.16.0-1~exp1) experimental; urgency=medium

  * New upstream feature release:
    - Update minimum version of golang
    - Add patch to import IncusOS network struct definitions
    - Drop custom userns patch
  * Update paths in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 29 Aug 2025 12:57:42 +0000

incus (6.15.0-1~exp1) experimental; urgency=medium

  * New upstream feature release
    - Rebase d/p/002-adjust-import-paths.patch

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 16 Aug 2025 02:15:17 +0000

incus (6.0.5-1) unstable; urgency=medium

  * New upstream release:
    - Includes fixes for the following security issues:
      * CVE-2025-54293 / GHSA-472f-vmf2-pr3h
      * CVE-2025-54287 / GHSA-w2hg-2v4p-vmh6
      * CVE-2025-54288 / GHSA-7232-97c6-j525
      * CVE-2025-54286 / GHSA-p8hw-rfjg-689h
      * CVE-2025-54290 / GHSA-p3x5-mvmp-5f35
      * CVE-2025-54291 / GHSA-xch9-h8qw-85c7
      * CVE-2025-54289 / GHSA-3g72-chj4-2228
    - Add patch to import IncusOS network struct definitions
    - Rebase d/p/002-adjust-import-paths.patch
    - Drop custom userns patch
    - Drop upstream cherry-picked commits
    - Update logic for building incus-agent binaries, including ones for
      Windows
  * d/control:
    - Update Build-Depends and Depends
    - Fix Breaks version
  * Update paths in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 16 Aug 2025 01:49:46 +0000

incus (6.0.4-3) unstable; urgency=medium

  * Document packaging policy for LTS and Feature releases
  * Add patch for building with updated zitadel-oidc
  * d/control:
    - Limit VM dependencies to supported host architectures: amd64, arm64,
      ppc64el, and s390x
    - Update Build-Depends and Depends
    - Add Breaks for distrobuilder
    - Don't Suggest ceph-common for 32bit architectures
  * Update d/README.Debian

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 10 Aug 2025 15:56:48 +0000

incus (6.14.0-1~exp1) experimental; urgency=medium

  * New upstream feature release
    - Add dependency for running OCI (docker) images
    - Update logic for building incus-agent binaries, including ones for
      Windows
    - Update Build-Depends and Depends
    - Drop patches applied upstream
    - Rebase d/p/002-adjust-import-paths.patch

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 27 Jun 2025 17:30:50 +0000

incus (6.0.4-2) unstable; urgency=medium

  * Fix inadvertent policy violation where build created files in HOME
    (Closes: #1103554)
  * Cherry-pick upstream fixes:
    - Cleanup old qemu sockets
    - Retry agent mounts
    - USB hotplugging
  * d/control:
    - Add back Built-Using stanzas
    - Add squashfs-tools-ng to incus-base Required packages
    - Have incus-client Suggest "spice-client-gtk | virt-viewer"
  * Update systemd service to wait long enough for Incus to correctly shutdown
  * Update systemd and sysv init scripts to use `incusd waitready`

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 27 Apr 2025 14:45:33 +0000

incus (6.0.4-1) unstable; urgency=medium

  * New upstream release
    - Rebase patches and drop upstream cherry-picked commits
  * d/control:
    - Update Build-Depends and Depends
    - Add lego to list of Suggested packages for incus-base

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 04 Apr 2025 02:43:07 +0000

incus (6.0.3-5) unstable; urgency=medium

  [ Martin Steigerwald ]
  * Runit support for Incus (Closes: #1084990)

  [ Mathias Gibbens ]
  * d/control:
    - Apply hack for /usr-move (Closes: #1099444; DEP17 P1 M7)
    - Update minimum required version of lxcfs to ensure its runit scripts
      will be available
    - Set minimum version of apparmor
    - Replace Built-Using with Static-Built-Using
  * Add apparmor 4.x userns patch
  * Cherry-pick upstream commit for selecting SecureBoot capable OVMF
  * Cherry-pick upstream fix for qemu 10
  * Update d/README.Debian to reflect addition of runit scripts
  * Fix lintian warning old-fsf-address-in-copyright-file in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 31 Mar 2025 22:36:28 +0000

incus (6.0.3-4) unstable; urgency=medium

  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Limit virtiofsd dependency to 64bit architectures
    - Set minimum required version of qemu
  * Cherry-pick upstream fix to allow virtiofsd on non-x86 architectures

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 02 Mar 2025 23:07:28 +0000

incus (6.0.3-3) unstable; urgency=medium

  * Update organization of binary packages:
    - bin:incus provides all dependencies to run both containers and VMs
    - bin:incus-base has just what is necessary for running containers
    - bin:incus-tools and bin:incus-migrate combined into bin:incus-extra

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 01 Mar 2025 17:16:21 +0000

incus (6.0.3-2) unstable; urgency=medium

  [ Kwok Guy ]
  * Initial SysV init scripts for incus

  [ Mathias Gibbens ]
  * Update years in d/copyright
  * Update d/README.Debian
  * Cherry-pick upstream fix to remove virtfs-proxy-helper dependency
  * Cherry-pick upstream fix for qemu device_id warning
  * Add startup wrapper script to allow directing logging to syslog
  * Add a patch to adjust the MinIO client's binary name to reflect Debian
    packaging

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 26 Jan 2025 01:19:17 +0000

incus (6.0.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1090375)
    - Includes fix for CVE-2024-6156
    - Rebase d/p/002-adjust-import-paths.patch
  * d/control:
    - Set minimum required version of golang-starlark-dev
    - Adjust recommended and suggested packages
  * Mention the swtpm-tools package in d/README.Debian

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 20 Dec 2024 02:44:01 +0000

incus (6.0.2-1) unstable; urgency=medium

  * New upstream release
    - Includes fix for CVE-2026-34177 / GHSA-fm2x-c5qw-4h6f
    - Rebase d/p/002-adjust-import-paths.patch
  * d/control:
    - Bump minimum required version of golang-any to 1.22 per go.mod
    - Set minimum required version of golang-github-openfga-go-sdk

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 19 Sep 2024 03:05:28 +0000

incus (6.0.1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:21:34 -0400

incus (6.0.1-2) experimental; urgency=medium

  * Team upload.
  * Compile against go-criu v7, Closes: #1078217

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 19:01:26 -0400

incus (6.0.1-1) unstable; urgency=medium

  * New upstream release
    - Rebase d/p/002-adjust-import-paths.patch
  * d/control:
    - Update Build-Depends and Depends
    - Add minio-client to the list of incus' Recommended packages
  * Update d/watch for upstream's LTS tagging convention

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 29 Jun 2024 02:08:43 +0000

incus (6.0.0-1) unstable; urgency=medium

  * New upstream release
    - Ship shell completions for bash, fish, and zsh
  * d/control:
    - Update minimum major version of golang-github-zitadel-oidc
    - Update Standards-Version to 4.7.0 (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 11 Apr 2024 01:01:17 +0000

incus (0.7-1) unstable; urgency=medium

  * New upstream release
    - Update Build-Depends and Depends
    - Package incus-simplestreams in bin:incus-tools
    - Don't build tls2jwt test binary
  * Sync incus-agent scripts with upstream (See #1064213)

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 26 Mar 2024 23:03:26 +0000

incus (0.6-2) unstable; urgency=medium

  * Fix incus-agent injection if $PATH is set in /etc/environment
    (Closes: #1065174)
  * d/control:
    - Add Depends on iproute2 (Closes: #1064852)
    - Suggest bash-completion in incus-client
    - Set minimum version of golang to aid backporting
  * d/rules:
    - Remove unneeded override of dh_installinit
  * Don't print install message on upgrades

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 06 Mar 2024 02:48:38 +0000

incus (0.6-1) unstable; urgency=medium

  * New upstream release
    - Update Build-Depends and Depends

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 22 Feb 2024 23:24:32 +0000

incus (0.5.1-3) unstable; urgency=medium

  * Source-only upload for migration
  * Drop lintian overrides for removed tag
    package-supports-alternative-init-but-no-init.d-script

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 12 Feb 2024 10:34:51 +0000

incus (0.5.1-2) unstable; urgency=medium

  * Add a golang-github-lxc-incus-dev package

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 03 Feb 2024 14:34:36 +0000

incus (0.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 29 Jan 2024 20:31:42 +0000

incus (0.5-1) unstable; urgency=medium

  * New upstream release:
    - Drop patches applied upstream
    - Drop patch that disabled Loki integration and update d/README.debian
    - Update Build-Depends and Depends
  * Update years in d/copyright
  * d/rules:
    - Update list of files and directories set in DH_GOLANG_INSTALL_EXTRA
    - Set HOME environment variable for all manpage generation commands
  * Rename d/README.debian -> d/README.Debian

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Jan 2024 01:06:09 +0000

incus (0.4-1) unstable; urgency=medium

  * Initial release (Closes: #1042989)

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 12 Jan 2024 17:21:36 +0000
